﻿using SecuritySystemDataModels.Models;
using SecuritySystemContracts.Attributes;

namespace SecuritySystemContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        [Column(visible: false)]
        public string MessageId { get; set; } = string.Empty;
        [Column(visible: false)]
        public int? ClientId { get; set; }
        [Column(title: "Отправитель", width: 150)]
        public string SenderName { get; set; } = string.Empty;
        [Column(title: "Дата письма", width: 150)]
        public DateTime DateDelivery { get; set; }
        [Column(title: "Заголовок", width: 150)]
        public string Subject { get; set; } = string.Empty;
        [Column(title: "Текст письма", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Body { get; set; } = string.Empty;
        [Column(visible: false)]
        public int Id => throw new NotImplementedException();
    }
}
