﻿using SecuritySystemContracts.BindingModels;
using SecuritySystemContracts.SearchModels;
using SecuritySystemContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SecuritySystemContracts.StorageContracts
{
	public interface IImplementerStorage
	{
		List<ImplementerViewModel> GetFullList();
		List<ImplementerViewModel> GetFilteredList(ImplementerSearchModel model);
		ImplementerViewModel? GetElement(ImplementerSearchModel model);
		ImplementerViewModel? Insert(ImplementerBindingModel model);
		ImplementerViewModel? Update(ImplementerBindingModel model);
		ImplementerViewModel? Delete(ImplementerBindingModel model);
	}
}
